/*
 * Copyright 2010 James Pether Sörling
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 *	$Id: TranslatorService.java 4527 2010-09-17 19:13:17Z pether $
 *  $HeadURL: https://cia.svn.sourceforge.net/svnroot/cia/tags/parent-pom-2011.05.31/service.impl/src/main/java/com/hack23/cia/service/impl/TranslatorService.java $
*/
package com.hack23.cia.service.impl;

import com.google.api.translate.Language;

/**
 * The Interface TranslatorService.
 */
public interface TranslatorService {

	/**
	 * Gets the translation.
	 * 
	 * @param text
	 *            the text
	 * @param from
	 *            the from
	 * @param to
	 *            the to
	 * @return the translation
	 */
	String getTranslation(final String text, final Language from,
			final Language to);
}
