/*
 * Copyright 2010 James Pether Sörling
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 *	$Id: ViewDataContainer.java 5442 2011-04-26 19:16:26Z pether $
 *  $HeadURL: https://cia.svn.sourceforge.net/svnroot/cia/tags/parent-pom-2011.05.31/service.impl/src/main/java/com/hack23/cia/service/impl/ViewDataContainer.java $
*/
package com.hack23.cia.service.impl;

import java.util.List;

import org.springframework.stereotype.Component;
import org.springframework.transaction.annotation.Propagation;
import org.springframework.transaction.annotation.Transactional;

import com.hack23.cia.model.internal.application.view.impl.View;
import com.hack23.cia.service.api.DataContainer;

/**
 * The Class ViewDataContainer.
 */
@Component
@Transactional(propagation=Propagation.SUPPORTS)
public final class ViewDataContainer implements DataContainer<View,String>{

	/* (non-Javadoc)
	 * @see com.hack23.cia.service.api.DataContainer#load(java.io.Serializable)
	 */
//	@Autowired
//	private DataContainer<TargetProfileContent,String> dataSummaryDataContainer;
//	@Autowired
//	private DataContainer<PerformanceIndicatorContent,String> performanceIndicatorContentDataContainer;
//	@Autowired
//	private DataContainer<OperationalInformationContent,String> opDataContainer;
//	@Autowired
//	private DataContainer<QualityAssuranceContent,String> qaDataContainer;
//	@Autowired
//	private DataContainer<DataSourceContent,String> dataSourceDataContainer;

	/* (non-Javadoc)
	 * @see com.hack23.cia.service.api.DataContainer#getAll()
	 */
	@Override
	public List<View> getAll() {
		// TODO Auto-generated method stub
		return null;
	}

	/* (non-Javadoc)
	 * @see com.hack23.cia.service.api.DataContainer#load(java.io.Serializable)
	 */
	@Override
	public View load(final String id) {
		// TODO Auto-generated method stub
		return null;
	}

}
